summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-21 06:25:51 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-21 06:25:51 +0000
commit716beea01c2def46b4c6581cf6c36f54907645cd (patch)
treef32ba36b254d00152b1ae9af2067f699d0c859a8 /dev-python
parent224f15c5e40e441483c4d9af3d9ebd69f8fdc3c5 (diff)
downloadbaldeagleos-repo-716beea01c2def46b4c6581cf6c36f54907645cd.tar.gz
baldeagleos-repo-716beea01c2def46b4c6581cf6c36f54907645cd.tar.xz
baldeagleos-repo-716beea01c2def46b4c6581cf6c36f54907645cd.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/attrs/Manifest1
-rw-r--r--dev-python/attrs/attrs-20.1.0.ebuild30
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-1.3.4.ebuild48
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.27.0.ebuild68
6 files changed, 149 insertions, 0 deletions
diff --git a/dev-python/attrs/Manifest b/dev-python/attrs/Manifest
index ba7161de9d29..007db1b35f99 100644
--- a/dev-python/attrs/Manifest
+++ b/dev-python/attrs/Manifest
@@ -1 +1,2 @@
DIST attrs-19.3.0.tar.gz 132477 BLAKE2B 6577f39fc15c9e70f0f76ba358099e83c57e226574cb11dbe83747f12e285a284e9d1a218fc1670e0d08be550d42c67cde132604b2cf385d1ee25bda7e57e79a SHA512 b5b641e6732156d1454ed6c49e3a6b29200a8d3f1515fb59aeb85fcb5e9ab6a1d760904de45083cae5250e7bf1a7aa2c1f3ede217240a63f989ae4bb484f2511
+DIST attrs-20.1.0.tar.gz 160766 BLAKE2B 65170484648318b9e6466789a9d212475dd8233c2d89fdd7bdf3b24dab4fd5018f981f30a0fa0df83271a8bcc915f13b03a55e7e42da2e1d8a3a0684430107be SHA512 0be286c9263ea26fbb29a89a1c9a37577577b1147cbf440de257a3652147bcb559c8fc4118a900cef558b9f49b59074a276c8a4843f3e8829278eaae5b70e913
diff --git a/dev-python/attrs/attrs-20.1.0.ebuild b/dev-python/attrs/attrs-20.1.0.ebuild
new file mode 100644
index 000000000000..f692b43106cf
--- /dev/null
+++ b/dev-python/attrs/attrs-20.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Attributes without boilerplate"
+HOMEPAGE="
+ https://github.com/python-attrs/attrs
+ https://attrs.readthedocs.org/
+ https://pypi.org/project/attrs/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/zope-interface[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ >=dev-python/hypothesis-3.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.3.0[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index 05ca336fc140..a7bbe20b5ca3 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -5,3 +5,4 @@ DIST cmd2-1.3.0.tar.gz 642189 BLAKE2B 5052f0d0f3e42329efb43f4552ef24407812705f90
DIST cmd2-1.3.1.tar.gz 645161 BLAKE2B 97d89729fdbcb5a367a6a9bdd0edaf9e5295b21cb6ab8efe6e473c57de1df11ef1c7679f14d5a9e3dd7d494af9bbb8a7300db01c4c4d049ab3593ee8b9897ba3 SHA512 84b2c4a1d509e751ba4d88d454143d0c41092ee7101ef916123ef7081ace961eba34c0c9c8be8186aa5200a3ec28d09782380ed609bf21c3e86df1e447020248
DIST cmd2-1.3.2.tar.gz 646344 BLAKE2B ef801c6c40a7b38b796889696331451d9cd4236942cfe9f4263f74c52fdaf85c3cfcc27336613b17e7c1263ede46940263661db0a19b45706e0f4dbfd6898c97 SHA512 28c410dc9306bdcb895399078a8022c878093ee1fb62cf9bd0674a9f446901e26da5a8d6b625f5391ab328bbcb23502fac2b8f5614b4c39c1e10137f7c92e14a
DIST cmd2-1.3.3.tar.gz 639779 BLAKE2B b4331ea11756ba645a2b000071f686add5643cc2c4bbb824d58c2377f7d251ca80aeffcf963a7d9f4d832fe0df066a73f3772786e98e2aa89e7eadb8094ddcc7 SHA512 b74c9f1124fdadf58d31cfeb45458a2b53f50f48ac55a520469be50eba9b9b4c9e03c804ab18461d4ec5bdf7d66c6c5715caf09f3cd98a965e61eb2895a6c992
+DIST cmd2-1.3.4.tar.gz 641801 BLAKE2B 0d85cad11613aec5d58d9130f4edb46b038abe3ba02aa84570cb5c34100d02f7b5d0fa92cbc49a71d3be19b15f5b380e42d4eac28a609fac4f1e9d0c8b85fc34 SHA512 a8fcb7448e5afde392921ad15c0848c3396b91922f10fcee925721860ee74f678fbf43d334091e201b9e6612e4d70825762a03a870f2e4aa1f82a43b37c5800c
diff --git a/dev-python/cmd2/cmd2-1.3.4.ebuild b/dev-python/cmd2/cmd2-1.3.4.ebuild
new file mode 100644
index 000000000000..557a79fa9c87
--- /dev/null
+++ b/dev-python/cmd2/cmd2-1.3.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="https://github.com/python-cmd2/cmd2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-1.6.0[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest-mock[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:test_which_editor_good:_&:' tests/test_cmd2.py || die
+ distutils-r1_src_prepare
+}
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 2dda6a737485..94e06e175dfc 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -9,3 +9,4 @@ DIST hypothesis-python-5.24.3.tar.gz 9050345 BLAKE2B bfb47794edb3c1c6aee22e808a6
DIST hypothesis-python-5.24.4.tar.gz 9054743 BLAKE2B 5c64c86ed58d8f0e4a07390b1b1b5e405878b9632bf14233e0515ad9d98ec6ddcc57bf39be6b61f53739d34e393b3af64c0d362880019d29a649a9523a0204e3 SHA512 147f4fa47b54bf3ec4dfcebf2a6c98cee26ea6780244ef99e181bada65978375ca7731ed05cb98f1b92f7a44a357faae374d97d489ec6e2318ff94e526cd9a40
DIST hypothesis-python-5.26.0.tar.gz 9062003 BLAKE2B 7a75c6fb2205944fc64100708c38417a5d3f1dd602a7fc14a464acb79e5d91b5513e9080e23c9ec5547edc6dbbe3b6a2c0425077a697a5656c0112d65adbaefd SHA512 8fc23a5e753cffe4a6a6b1be68fa96042933ef7ec8f8c4f88fbf0901996da9de576457647bea55ff2ceca4d71db322f927847258ca9bda90e1fac9f19c79a42b
DIST hypothesis-python-5.26.1.tar.gz 9063203 BLAKE2B 87b60395a417a811a2f4d41f10c3c2f1d77f0127d43e4cb1d5ae4deff97834623675a26134cc6579236099efa1cd84974619033ed58ef3d0fd5b0bec2e45935a SHA512 b8df15df0e3b615c3e621005a7fd1ef183b67f2fba4d16aaec22577af2b5f3dec6d98cb15d32f998d2aa185fcad16324df1d62affe7647c5e78259b42c550511
+DIST hypothesis-python-5.27.0.tar.gz 9067945 BLAKE2B 29cd1fd1b7cd4a2258a84d4dc122284c1cc8f21da2604e3b6c800a3bb43687eed7a3eb5b33373000c7c1359a3ff08326107d878910a0d92817c0c29c743dd1fa SHA512 973ab33c69d2db58ca3550335be3cc4196ccf532ccc2c0aeb0b54459201904c06f289a9f6faa3bfa77f6704a6f43e253e34453110cda750a2a1a19a851038dda
diff --git a/dev-python/hypothesis/hypothesis-5.27.0.ebuild b/dev-python/hypothesis/hypothesis-5.27.0.ebuild
new file mode 100644
index 000000000000..4fd61ad57879
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.27.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~x86"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{6..8})
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+src_prepare() {
+ # avoid pytest-xdist dep for one test
+ sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+ tests/pytest/test_statistics.py || die
+ distutils-r1_src_prepare
+}
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python3.[678] ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}